VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::resource::Model Interface Reference

The `Model` interface provides methods to retrieve information about models. More...

Inherited by vmware::vapi::metadata::metamodel::resource::ModelStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.HashSet < string > | List (string resourceId)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .
global::System.Collections.Generic.HashSet < string > | List (string resourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync (string resourceId)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync (string resourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

## Detailed Description

The `Model` interface provides methods to retrieve information about models.

A structure is used as a model if it is used for persisting data about an entity. Some of the fields in the model structure are also used for creating indexes for querying.

One or more services can operate on the same resource type. One or more services can provide the model structure for an entity of this resource type. Using `Model` interface you can retrieve the list of all the structure elements that are model structures for a given resource type.

## Member Function Documentation

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::resource::Model::List | ( | string | resourceId | ) |

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implemented in vmware::vapi::metadata::metamodel::resource::ModelStub.

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::resource::Model::List | ( | string | resourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implemented in vmware::vapi::metadata::metamodel::resource::ModelStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::resource::Model::ListAsync | ( | string | resourceId | ) |

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implemented in vmware::vapi::metadata::metamodel::resource::ModelStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::resource::Model::ListAsync | ( | string | resourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implemented in vmware::vapi::metadata::metamodel::resource::ModelStub.

The documentation for this interface was generated from the following file:

- Model.cs